<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca.php");
    protegePagina();
    include "../var_sub.php";
    include "../log_.php";
    include "../conectar.php";
    if($_SERVER['REQUEST_METHOD']=='GET'){
        $id_get = $_GET['id'];
        $busca=$pdo_sgt->prepare("SELECT * FROM tb_usuarios WHERE id=:id");
        $busca->bindValue(":id",$id_get);
        $busca->execute();
        $dados=$busca->fetch(PDO::FETCH_ASSOC);
        $del = $dados['id'];
    }elseif($_SERVER['REQUEST_METHOD']=='POST'){
        $id = isset($_POST["id"]) ? $_POST["id"]: '';
        $id = ($id);
        $senha = isset($_POST["senha"]) ? $_POST["senha"]: '';
        $csenha = isset($_POST["csenha"]) ? $_POST["csenha"]: '';
        if($senha != $csenha){
            echo"<script language='javascript' type='text/javascript'>
                alert('As senhas não coincidem!');
                window.history.go(-1)>Volta;
            </script>";
        } else {
            $senha = md5($senha).$userpasssgt;
            $query=$pdo_sgt->prepare("UPDATE tb_usuarios SET senha=:senha WHERE id=:id");
            $query->bindValue(":senha",$senha);
            $query->bindValue(":id",$id);
            $query->execute();
            $busca_user = $pdo_sgt->query("SELECT * FROM tb_usuarios WHERE id='".$id_temp."'");
            $dados_user = $busca_user->fetch(PDO::FETCH_ASSOC);
            $mensagem= "Usuário alterou sua senha!";
            salvaLog($mensagem);
            $ip = $_SERVER['REMOTE_ADDR'];
            $hora = date('Y-m-d H:i:s');
            include "../mail.php";
            # Define os destinatário(s)
            $email_nome = $dados_user['nome'];
            $email_sobrenome = $dados_user['sobrenome'];
            $email_nome_sobrenome = "$email_nome $email_sobrenome";
            $email_email = $dados_user['email'];
            $mail->AddAddress("$email_email", "$email_nome_sobrenome"); # Os campos podem ser substituidos por variáveis
            #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
            #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
            #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
            # Define os dados técnicos da Mensagem
            $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
            #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
            # Define a mensagem (Texto e Assunto)
            $mail->Subject = utf8_decode("Alteração da senha - SGT"); # Assunto da mensagem
            $mail->Body = utf8_decode("Sua senha foi alterada. $hora - $ip");
            $mail->AltBody = utf8_decode("Sua senha foi alterada. $hora - $ip");
            # Define os anexos (opcional)
            #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
            # Envia o e-mail
            $enviado = $mail->Send();
            # Limpa os destinatários e os anexos
            $mail->ClearAllRecipients();
            $mail->ClearAttachments();
            echo"<script language='javascript' type='text/javascript'>
                alert('Senha alterada com sucesso! Um e-Mail foi enviado.');
                window.history.go(-2)>Volta;
            </script>";
        }
    }
?>